dnl======================================================================
dnl GDS_CHECK_POSIX
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_POSIX],
[ AC_MSG_CHECKING([posix flags])
  posixflags=
  AS_CASE(["${host}"],
          [*linux*],[posixflags="-D_POSIX_C_SOURCE=200809L"],
          [*solaris*],[posixflags="-D_POSIX_C_SOURCE=200112L"],
          [*darwin*],[posixflags="-D_POSIX_C_SOURCE=200112L -D_DARWIN_C_SOURCE=1"])
  AC_MSG_RESULT([$posixflags])
  posix95flags=
  AS_CASE(["${host}"],
          [*linux*],[posix95flags="-D_POSIX_C_SOURCE=199506L"],
          [*solaris*],[posix95flags="-D_POSIX_C_SOURCE=199506L"],
          [*darwin*],[posix95flags="-D_POSIX_C_SOURCE=199506L -D_DARWIN_C_SOURCE=1"])
  unix98flags="-D_XOPEN_SOURCE=600"
  CFLAGS="$CFLAGS -std=c99"
])
